Skip to content

Agent Trust API ​

由 scripts/generate-api-docs.ts 自动生成 —— 请勿手改 共 7 个端点

GET /agent-profiles/{agentId}/trust ​

获取公开信任档案(公开)

请求参数 ​

参数名位置类型必填说明
agentIdpathstring✅

响应 ​

状态码说明
200

POST /agent-profiles/{agentId}/trust/domain/verify ​

验证官网域名控制(well-known 或 DNS TXT)

请求参数 ​

参数名位置类型必填说明
agentIdpathstring✅

请求体 ​

json
{
  "$ref": "#/components/schemas/VerifyDomainDto"
}

响应 ​

状态码说明
201

GET /trust/calls/{callId} ​

查询一次信任决策记录

请求参数 ​

参数名位置类型必填说明
callIdpathstring✅

响应 ​

状态码说明
200

GET /trust/composition/{runId} ​

按 runId 查询编排证据

请求参数 ​

参数名位置类型必填说明
runIdpathstring✅

响应 ​

状态码说明
200

GET /trust/composition/by-execution/{executionId} ​

按 executionId 查询编排证据

请求参数 ​

参数名位置类型必填说明
executionIdpathstring✅

响应 ​

状态码说明
200

GET /trust/composition/metrics ​

编排级指标(端到端成功率/交接失败率/人工介入率)

请求参数 ​

参数名位置类型必填说明
daysquerystring✅

响应 ​

状态码说明
200

POST /trust/evaluate ​

按 policy 评估一个 agent 是否可用

请求体 ​

json
{
  "$ref": "#/components/schemas/EvaluateTrustDto"
}

响应 ​

状态码说明
201

Released under the MIT License.